Shortlived Integration Tokens
Short-lived integration token objects
This operation creates a short-lived integration token.
Note: This operation needs Authentication and supports the following features:
Authorizations
AuthorizationstringRequired
Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>
Body
Responses
201
The short-lived integration token was successfully created.
application/vnd.api+json
400
Bad request.
application/vnd.api+json
401
Unauthorized.
application/vnd.api+json
409
Conflict
application/vnd.api+json
422
Unprocessable entity.
application/vnd.api+json
429
Too many requests.
application/vnd.api+json
500
Internal Server Error.
application/vnd.api+json
503
Service is unavailable.
application/vnd.api+json
post/v1/shortlived-integration-tokens
POST /pos/v1/shortlived-integration-tokens HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 221
{
"data": {
"type": "shortlivedIntegrationTokens",
"attributes": {
"enterpriseId": "951682d9-4a67-4118-b629-afd500c0840d"
},
"relationships": {
"spaceCode": {
"data": {
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "spaceCodes"
}
}
}
}
}{
"data": {
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "shortlivedIntegrationTokens",
"attributes": {
"secretKey": "sk_test_12345",
"expiresAt": "2026-01-21T12:00:00Z",
"enterpriseId": "951682d9-4a67-4118-b629-afd500c0840d"
},
"relationships": {
"spaceCode": {
"data": {
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "spaceCodes"
}
}
},
"links": {
"self": "https://api.mews-demo.com/pos/v1/shortlived-integration-tokens/5efa8b3c-b930-4b31-918d-95ab0e212e64"
}
}
}Last updated
Was this helpful?